std::feupdateenv(3)

NAME
std::feupdateenv - std::feupdateenv

Synopsis
   Defined in header <cfenv>
   int feupdateenv( const std::fenv_t* envp ) (since C++11)
   First, remembers the currently raised floating-point exceptions, then restores the
   floating-point environment from the object pointed to by envp (similar to
   std::fesetenv), then raises the floating-point exceptions that were saved.
   This function may be used to end the non-stop mode established by an earlier call to
   std::feholdexcept.

Parameters
   envp - pointer to the object of type std::fenv_t set by an earlier call to
          std::feholdexcept or std::fegetenv or equal to FE_DFL_ENV

Return value
   0 on success, non-zero otherwise.

See also
   feholdexcept saves the environment, clears all status flags and ignores all future
   (C++11) errors
                (function)
   fegetenv saves or restores the current floating-point environment
   fesetenv (function)
   (C++11)
   FE_DFL_ENV default floating-point environment
   (C++11) (macro constant)